# Expose all our locally defined packages as attributes.
# In `gridlib.base`, we expose this as a new `ourpkgs` module argument.
# To access this directly, you can call this as::
#
#    pkgs.callPackage ./nixos/pkgs
{buildPlatform, hostPlatform, callPackage}:
{
  leasereport = callPackage ./leasereport {};
  # `privatestorage` is a derivation with a good Tahoe+ZKAP environment
  # that is exposed by ZKAPAuthorizer.
  privatestorage = callPackage ./privatestorage {};
  zkap-spending-service = callPackage ./zkap-spending-service {};
  zkapissuer = callPackage ./zkapissuer {};
  megacli2prom = callPackage ./megacli2prom {};
}
